package com.example.mapper;

import com.example.entity.SaleStatement;

import java.math.BigDecimal;
import java.util.List;

/**
 * 操作sale_statement相关数据接口
*/
public interface SaleStatementMapper {

    /**
      * 新增
    */
    int insert(SaleStatement saleStatement);

    /**
      * 删除
    */
    int deleteById(Integer id);

    /**
      * 修改
    */
    int updateById(SaleStatement saleStatement);

    /**
      * 根据ID查询
    */
    SaleStatement selectById(Integer id);

    /**
      * 查询所有
    */
    List<SaleStatement> selectAll(SaleStatement saleStatement);

    /**
     * 根据商品售出完成时间和商品id进行查询
     * 需要携带店铺id，日期范围，
     * @return 返回特定商品在对应日期销售额度
     */
    List<SaleStatement> selectOneProductWithRange(SaleStatement saleStatement);

    /**
     *  筛选店铺商品种类在日期范围的销售额度
     * @param saleStatement
     * @return
     */
    SaleStatement selectOneProductSalementAndAccount(SaleStatement saleStatement);
    /**
     * 筛选店铺商品种类在日期范围的销售额度
     * @return 返回
     */
    List<SaleStatement> selectKindsProductWithRange(SaleStatement saleStatement);

    /**
     * 获取时间范围的所有订单金额
     * @param saleStatement
     * @return
     */
    SaleStatement selectAllProductsAccount(SaleStatement saleStatement);


    /**
     * 时间范围内的产品名称，销售金额，销售数量
     * @param saleStatement
     */
    SaleStatement selectProductSalementInfoRange(SaleStatement saleStatement);


}