package com.example.utils;

import java.time.YearMonth;
import java.time.format.DateTimeFormatter;
import java.util.LinkedList;
import java.util.List;
import java.util.Locale;

/**
 * 功能：
 *
 * @author 熊浩毅
 * @time 2024-05-03 15:32
 * @Description
 */
public class DateHelper {
    /**
     * 获取当年的年月格式化信息
     * 例如 ： 2024-01
     * @return
     */
    public static List<String> getYear_Month(){
        List<String> res= new LinkedList<>();
        // 设置日期格式
        DateTimeFormatter formatter = DateTimeFormatter.ofPattern("yyyy-MM", Locale.getDefault());

        // 获取当前年份
        int year = YearMonth.now().getYear();

        // 遍历每个月份并打印
        for (int month = 1; month <= 12; month++) {
            YearMonth yearMonth = YearMonth.of(year, month);
            String monthString = yearMonth.format(formatter);
            res.add(monthString);
        }
        return res;
    }

    /**
     * 返回 1~当前月份的所有日期
     * @param curMonth
     * @return
     */
    public static List<String> getBeforeCurYear_Month(Integer curMonth){
        // 5 0 1 2 3 4
        List<String> res= new LinkedList<>();
        List<String> yearMonth = DateHelper.getYear_Month();
        for (int i = 0; i <= curMonth; i++) {
            String s = yearMonth.get(i).split("-")[1];
            if(curMonth >= Integer.parseInt(s)-1){
                res.add(yearMonth.get(i));
            }else break;
        }
        return res;
    }
}
